import Vue from "vue";
import thousandBitConvert from "@/filtres/thousand-bit-convert.filter";
import certificateNumTailor from "@/filtres/certificate-num-tailor.filter";
import switchEnumConvert from "@/filtres/switch-enum-convert.filter";
import customerDictConversionFilter from "@/filtres/customer-dict-conversion.filter";
import stringConvert from "@/filtres/string-convert";
import toUpperCase from "@/filtres/to-upper-case.filter";
import formatFileSize from "@/filtres/format-file-size.filter";
import serializeDateFormat from "@/filtres/serialize-date-format.filter";
import mathFilter from "@/filtres/math.filter";
import durationFilter from "./duration.filter";

class FilterService {
  init() {
    Vue.filter("thousandBitConvert", thousandBitConvert);
    Vue.filter("certificateNumTailor", certificateNumTailor);
    Vue.filter("switchEnumConvert", switchEnumConvert);
    Vue.filter("customerDictConversionFilter", customerDictConversionFilter);
    Vue.filter("stringConvert", stringConvert);
    Vue.filter("toUpperCase", toUpperCase);
    Vue.filter("formatFileSize", formatFileSize);
    Vue.filter("serializeDateFormat", serializeDateFormat);
    Vue.filter("mathFilter", mathFilter);
    Vue.filter("durationFilter", durationFilter);
  }
}
const filterService = new FilterService();
export default filterService;
